Summary:	RFC1321-based (RSA-free) MD5 library
Summary(pl.UTF-8):	Biblioteka MD5 oparta na RFC1321 (wolna od zobowiązań RSA)
Name:		libmd5
Version:	20020413
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libmd5-rfc/md5.tar.gz
# Source0-md5:	60f1691ece16bedc12dd2aa949cba606
Patch0:		%{name}-endian.patch
URL:		http://sourceforge.net/projects/libmd5-rfc/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very small C library implementing RFC1321, the MD5 message
digest function. Unlike the existing W3C libmd5, it was written from
the specifications (not the sample code) in RFC1321, and therefore is
not required to acknowledge RSA in any way.

%description -l pl.UTF-8
To jest bardzo mała biblioteka C zawierająca implementację RFC1321 -
funkcję skrótu MD5. W przeciwieństwie do istniejącej wcześniej libmd5
z W3C ta wersja została napisana na podstawie specyfikacji (a nie kodu
przykładowego) z RFC1321, więc nie wymaga jakiegokolwiek powoływania
się na RSA.

%package devel
Summary:	Header file for libmd5 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libmd5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	w3c-libwww-devel < 5.4.0-9

%description devel
Header file for libmd5 library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libmd5.

%package static
Summary:	Static libmd5 library
Summary(pl.UTF-8):	Statyczna biblioteka libmd5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	w3c-libwww-static < 5.4.0-9

%description static
Static libmd5 library.

%description static -l pl.UTF-8
Statyczna biblioteka libmd5.

%prep
%setup -qc
%patch0 -p1

%build
# with -prefer-pic you can link libmd5 statically in shared object.
libtool --mode=compile --tag=CC %{__cc} %{rpmcflags} -prefer-pic -shared -c md5.c
libtool --mode=link --tag=CC %{__cc} -rpath %{_libdir} -version-info 1:0:0 -o libmd5.la md5.lo

# build and run testcase.
%{__cc} %{rpmcflags} -c md5main.c
libtool --mode=link --tag=CC %{__cc} -o test md5main.o libmd5.la -lm
./test --test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

install -D md5.h $RPM_BUILD_ROOT%{_includedir}/md5.h
libtool --mode=install install libmd5.la $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmd5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmd5.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmd5.so
%{_libdir}/libmd5.la
%{_includedir}/md5.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmd5.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmd5.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a84eaae
- x32 rebuild
- release 4 (by relup.sh)

* Mon Feb 08 2010 Elan Ruusamäe <glen@pld-linux.org> 78a21ac
- release 3

* Thu Sep 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 878f685
- ABI differs, so must use different soname (.1) to avoid w3c libmd5 satisfying this libmd5 users
- release 2

* Wed Sep 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e54d71
- added endian patch, get endianness info from glibc at compile time
- Conflicts for w3c-libwww containing conflicting files from its own libmd5

* Wed Sep 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 6eea336
- glibc knows endianness at compile time

* Wed Sep 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 4c1e304
- pl, more archs

* Wed Sep 17 2008 Elan Ruusamäe <glen@pld-linux.org> 42e1a36
- libtool link also needs --tag
- package ghost soname symlink

* Wed Sep 17 2008 Paweł Sikora <pluto@pld-linux.org> 2988dcf
- select endianess during build if possible.

* Wed Sep 17 2008 Paweł Sikora <pluto@pld-linux.org> 3d51b09
- libtoolize.

* Tue Sep 16 2008 Elan Ruusamäe <glen@pld-linux.org> 9d6325e
- unify
- why spec sets optimization flags?

* Tue Sep 16 2008 Paweł Sikora <pluto@pld-linux.org> e52288e
- RFC-based, RSA-free implementation.

